Name: xawtv
Summary: A TV application for video4linux compliant devices.
Version: 3.18
Release: 2
Source:	http://www.in-berlin.de/User/kraxel/v4l/%{name}_%{version}.tar.gz
Patch0: manpage.patch
Patch1: xawtv-3.18-redhat.patch
Patch2: xawtv-3.17-DGA.patch
Group: Applications/Multimedia
License: GPL
URL: http://www.in-berlin.de/User/kraxel/xawtv.html
BuildRoot: %{_tmppath}/%{name}-root

%description
Xawtv is a simple xaw-based TV program which uses the bttv driver or
video4linux.  Xawtv contains various command-line utilities for
grabbing images and .avi movies, for tuning in to TV stations, etc.
Xawtv also includes a grabber driver for vic.

%prep
%setup -q
%patch0 -p1 -b .man
%patch1 -p1 -b .redhat

%build
CFLAGS="$RPM_OPT_FLAGS" %configure
make

%install
rm -rf $RPM_BUILD_ROOT

make install SUID_ROOT="" ROOT=$RPM_BUILD_ROOT \
	mandir=$RPM_BUILD_ROOT%{_mandir}

#do gzip fonts
gzip -q9 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc/*

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /usr/X11R6/lib/X11/app-defaults/Xawtv
/usr/X11R6/lib/X11/fonts/misc/*

/usr/bin/dump-mixers
/usr/bin/fbtv
/usr/bin/propwatch
/usr/bin/radio
/usr/bin/record
/usr/bin/showriff
/usr/bin/streamer
%attr(0711,root,root) /usr/bin/v4l-conf
/usr/bin/v4lctl
/usr/bin/xawtv
/usr/bin/xawtv-remote
/usr/bin/webcam
%{_mandir}/man1/*
%doc COPYING KNOWN_PROBLEMS Miro_gpio.txt Programming-FAQ README 
%doc Sound-FAQ Trouble-Shooting TODO UPDATE_TO_v3.0

%post
{
  cd /usr/X11R6/lib/X11/fonts/misc
  mkfontdir > /dev/null 2>&1
  cd -
}

if [ ".$DISPLAY" != "." ]; then
  xset fp rehash > /dev/null 2>&1
  true
fi

%postun
if [ $1 = 0 ]; then
  {
    cd /usr/X11R6/lib/X11/fonts/misc
    mkfontdir > /dev/null 2>&1
    cd -
  }
  if [ ".$DISPLAY" != "." ]; then
    xset fp rehash > /dev/null 2>&1
    true
  fi
fi

%changelog
* Wed Aug 23 2000 Tim Powers <timp@redhat.com>
- rebuilt against new XFree86 to fix DGA problems

* Mon Aug 21 2000 Than Ngo <than@redhat.com>
- update to 3.18 (Bugfix release)
- option -nodga to disable DGA (Bug #16577, #15702)
- compress fonts with gzip

* Mon Aug 07 2000 Tim Powers <timp@redhat.com>
- fixed bug #15435

* Mon Aug 07 2000 Than Ngo <than@redhat.de>
- rebuilt against the new DGA
- fixed in post and postun, so that it does not
  emits to console (Bug #15436)


* Sat Jul 29 2000 Than Ngo <than@redhat.de>
- update to 3.17

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- FHS fixes

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun May 28 2000 Ngo Than <than@redhat.de>
- update to 3.14 for 7.0
- put man page in correct place
- add webcam
- bzip2 source
- cleanup specfile

* Wed Jan 19 2000 Preston Brown <pbrown@redhat.com>
- font fix (#8610) in post and postun
- add missing files in bin

* Sun Jan 16 2000 Preston Brown <pbrown@redhat.com>
- whoops! 3.07 already bugfix release

* Fri Jan 14 2000 Ngo Than <than@redhat.de>
- updated to 3.06

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- updated to 2.46
- built for 6.1

* Wed Apr 28 1999 Preston Brown <pbrown@redhat.com>
- initial build for Powertools 6.0
